Results 1 to 7 of 7

Thread: Can't find NetBeans IDE package in OpenSuse 12.1 repos

  1. #1

    Default Can't find NetBeans IDE package in OpenSuse 12.1 repos

    Hi,

    I was previously developing in NetBeans in OpenSuse 11.3 & 4, but when I upgraded to OpenSuse 12.1 recently, I can no longer find the "netbeans" package within the provided repositories.

    I tried a bit of detective work, comparing repos where this package used to be in OS11.3, to see if it they are in the equivalent repo for OS12.1, but haven't had any luck so far.

    In OS11.3, the "netbeans" package was available in:
    • download.opensuse.org/repositories/Java:/packages/openSUSE_11.3/
      (noarch/netbeans-6.8-16.6.noarch.rpm)
      - There is an equivalent repo for 12.1, but it doesn't contain a "netbeans-x.x-xx.x.noarch.rpm" package file
    • download.opensuse.org/update/11.3
      (rpm/noarch/netbeans-6.8-2.3.2.noarch.rpm)
      - This repo doesn't exist for 12.1 yet I think, so couldn't find it there


    Anyone know what I need to do here? Did I look in the wrong repos? Has it moved somewhere else? Was it accidently/intentionally omitted in OS12.1?

    For now, could I perhaps get away with manually downloading the rpm from the 11.3 repo and installing it on 12.1?

    Thanks for any potential help, pointer anyone can provide.

    Regards,
    Gurce

  2. #2
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Can't find NetBeans IDE package in OpenSuse 12.1 repos

    Quote Originally Posted by Gurce View Post
    Hi,

    I was previously developing in NetBeans in OpenSuse 11.3 & 4, but when I upgraded to OpenSuse 12.1 recently, I can no longer find the "netbeans" package within the provided repositories.

    I tried a bit of detective work, comparing repos where this package used to be in OS11.3, to see if it they are in the equivalent repo for OS12.1, but haven't had any luck so far.

    In OS11.3, the "netbeans" package was available in:
    • download.opensuse.org/repositories/Java:/packages/openSUSE_11.3/
      (noarch/netbeans-6.8-16.6.noarch.rpm)
      - There is an equivalent repo for 12.1, but it doesn't contain a "netbeans-x.x-xx.x.noarch.rpm" package file
    • download.opensuse.org/update/11.3
      (rpm/noarch/netbeans-6.8-2.3.2.noarch.rpm)
      - This repo doesn't exist for 12.1 yet I think, so couldn't find it there


    Anyone know what I need to do here? Did I look in the wrong repos? Has it moved somewhere else? Was it accidently/intentionally omitted in OS12.1?

    For now, could I perhaps get away with manually downloading the rpm from the 11.3 repo and installing it on 12.1?

    Thanks for any potential help, pointer anyone can provide.

    Regards,
    Gurce
    There was a change with the advent of openSUSE 12.1 such that we are using open versions of Java and no longer include the Sun Java versions. This then may also affect Netbeans as well. I am not the expert on this, but I think you should look to Oracle now for Linux support of Netbeans if possible.

    Java SE Downloads - Netbeans + JDK Bundle

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  3. #3

    Default Re: Can't find NetBeans IDE package in OpenSuse 12.1 repos

    Thanks for the background-info on what's probably happened, and for the link.

    Yep, I'm go this path then, with the Java+NetBeans7.1 bundle install.

    For anyone reading this and considering going down the same path, I'll give you some heads-up, if you've got projects you built with the older NetBeans6.8 (the version that was available in past OpenSuse11.3/11.4 repos), any projects that made use of the "Swing Application Framework" are going to bump into some headaches, as they're no longer supporting it in NB7.1 (and they suggest installing NB7.0 instead, if you insist on using this older framework). For NB7.1, they're encouraging use of their newer "NetBeans Platform" framework.

    Here's a forum link with ppl discussing their gripes with this transition:
    NetBeans Forums - NetBeans 7.1 Swing Application Support discontinued

    I'm not sure which path I'll take yet, but for those considering upgrading their projects to the newer "NetBeans Platform" framework, someone in the forums suggested starting your learning curve on it here:
    NetBeans Platform Learning Trail

  4. #4
    Join Date
    Mar 2010
    Location
    Austin - Texas
    Posts
    10,140
    Blog Entries
    48

    Smile Re: Can't find NetBeans IDE package in OpenSuse 12.1 repos

    Quote Originally Posted by Gurce View Post
    Thanks for the background-info on what's probably happened, and for the link.

    Yep, I'm go this path then, with the Java+NetBeans7.1 bundle install.

    For anyone reading this and considering going down the same path, I'll give you some heads-up, if you've got projects you built with the older NetBeans6.8 (the version that was available in past OpenSuse11.3/11.4 repos), any projects that made use of the "Swing Application Framework" are going to bump into some headaches, as they're no longer supporting it in NB7.1 (and they suggest installing NB7.0 instead, if you insist on using this older framework). For NB7.1, they're encouraging use of their newer "NetBeans Platform" framework.

    Here's a forum link with ppl discussing their gripes with this transition:
    NetBeans Forums - NetBeans 7.1 Swing Application Support discontinued

    I'm not sure which path I'll take yet, but for those considering upgrading their projects to the newer "NetBeans Platform" framework, someone in the forums suggested starting your learning curve on it here:
    NetBeans Platform Learning Trail
    Please keep us informed as to how this turns out for you and your final suggestions to anyone else and thanks for the added information. I am sure you will not be the only one that runs into this issue.

    Thank You,
    My Blog: https://forums.opensuse.org/blogs/jdmcdaniel3/

    Software efficiency halves every 18 months, thus compensating for Moore's Law

    Its James again from Austin, Texas

  5. #5

    Default Re: Can't find NetBeans IDE package in OpenSuse 12.1 repos

    Hmm... I've been stalling on which direction to take with this for a while, as I was worried about repercussions. Eg, if I upgrade the app to 7.1 and the new framework, it is going to force other colleagues to reluctantly upgrade to 7.1 too and impose a new learning curve on them too.

    Part of me wants to upgrade to the new framework, as I'm always hopeful newer frameworks will make our lives easier in the long-run, but perhaps I'll time the upgrade for an occasion where I and other colleagues feel we can spare the time to get our heads around the newer framework.

    Until then, for OpenSuse 12.1 users that want to stick with the older NetBeans 6.8 and avoid the newer framework, just install the bundle available here:
    http://netbeans.org/downloads/6.8/index.html

    (the smallest 48mb bundle was sufficient for my needs).

    Once you run NetBeans 6.8, it will load up all your past projects you worked on in OpenSuse11.3/4 without a hitch, which was quite a relief for me

  6. #6
    Join Date
    Jun 2008
    Location
    Connecticut, USA
    Posts
    2,294
    Blog Entries
    1

    Default Re: Can't find NetBeans IDE package in OpenSuse 12.1 repos

    Thanks for this thread.

    I am currently downloading the PHP bundle for Netbeans 7.1 to try and install it on openSUSE 12.1 (KDE 4.7). I'm not sure what to expect, and I am no expert on Netbeans, Java or openSUSE so I may be back with questions.

    I am hoping that since I am downloading from the Netbeans site that the Oracle Java vs OpenJDK is going to pose a problem. I can hope.

    EDIT: I just saw the part at the bottom about the Java requirement
    Java 6 is required for installing and running the PHP and C/C++ NetBeans Bundles. You can download the latest Java at java.com.

    JDK 6 is required for installing and running the Java SE, Java EE and All NetBeans Bundles. You can download standalone JDK or download the latest JDK with NetBeans IDE Java SE bundle.
    "Linux provides freedom, problem is most users don't know what it is or how to use it." ~me
    Friends don't let Friends wear red shirts on away parties!
    Linux User #477531 | Danbury Area Computer Society (www.dacs.org)

  7. #7
    Join Date
    Jun 2008
    Location
    Connecticut, USA
    Posts
    2,294
    Blog Entries
    1

    Default Re: Can't find NetBeans IDE package in OpenSuse 12.1 repos

    OK, so I downloaded jre-6u31-linux-i586-rpm.bin and netbeans-7.1-ml-php-linux.sh from their respective sites.

    For Java, I logged in as root, navigated to where I wanted to put it (which I used /usr/share/jre for lack of knowing a better place to put it) and then ran the jre*.bin. That went pretty smoothly. I just haven't put it into Firefox (yet), and probably won't until I have a need.

    Then I ran the netbeans*.sh which installed it with a couple of prompts (I took the default).

    The program was found under Applications > Development > Integrated Development and it came up! I haven't gotten into the program much, such as pulling in my PHP project, or configuring the local system yet.
    "Linux provides freedom, problem is most users don't know what it is or how to use it." ~me
    Friends don't let Friends wear red shirts on away parties!
    Linux User #477531 | Danbury Area Computer Society (www.dacs.org)

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •